Subject: bug#70939: [PATCH] Add commands to run unit tests in go-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 May 2024 11:27:20 +0300

> Date: Thu, 16 May 2024 02:32:42 +0000
> From: Randy Taylor <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> 
> Eli, is there a convention regarding local variables?
> In the patch we have:
> +  (if (local-variable-p 'go-build-tags)
> +      (format "-tags %s" go-build-tags)
> +    ""))
> 
> Should that local variable be prefixed with go-ts-mode, or is it fine as is?

If the variable is specific to go-ts-mode, it should indeed be
prefixed with "go-ts-".  But I don't see this variable in
go-ts-mode.el nor in the patch (did I miss something?), and I don't
understand why the above condition insists on using only a
buffer-local value of the variable in the first place?  What's wrong
with having a global value for the variable?